Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82108 - gnome-session-properies doesn't set the background properly on login
Summary: gnome-session-properies doesn't set the background properly on login
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-17 16:46 UTC by Nathan G. Grennan
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 05:37:01 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-01-17 16:46:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
gnome-session-properties doesn't set the background properly on login. I have a
black background with the transparent lightrays setup in
gnome-background-properties, but get the default light blue background everytime
on login.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set non-default background
2. logout
3. login
    

Actual Results:  light blue background

Expected Results:  non-default background

Additional info:

It does show the background settings I set in gnome-background-properties. It
just doesn't set them on login.

Comment 1 Havoc Pennington 2003-01-17 16:56:56 UTC
Do you mean you temporarily have the wrong background during login, or that 
you end up with the wrong one permanently?

In any case, gnome-session isn't involved, afaik.

Comment 2 Nathan G. Grennan 2003-01-17 17:31:51 UTC
Permanently, unless I open gnome-background-properties and clicking between
options to get it to set the background.

What program is supposed to set the background? Might I be missing it from my
session?

Comment 3 Jonathan Blandford 2003-01-17 19:37:33 UTC
is gnome-settings-daemon running?  Did it get removed from your session?

Comment 4 Nathan G. Grennan 2003-01-18 09:51:57 UTC
gnome-settings-daemon is running, but I don't see it as part of my session.

Comment 5 Jonathan Blandford 2003-01-18 21:12:11 UTC
sounds like gnome-settings-daemon was removed from your session.  Can you save
the session w/ it running, log out, log back in, and confirm that your
background is set when it's part of the session?

Comment 6 Nathan G. Grennan 2003-01-19 01:14:41 UTC
gnome-settings-daemon isn't added to the session list if I select save settings
on exit. It does appear to run on login anyway. I tried adding it to the manual
session and it had no effect.

Comment 7 Nathan G. Grennan 2003-01-19 18:44:09 UTC
http://mail.gnome.org/archives/desktop-devel-list/2002-July/msg00489.html

Below is part of the patch from the url above that describes why
gnome-setting-daemon wasn't setting my background. RedHat's gnome desktop
defaults to Nautilus. I always disable Nautilus, because I am very unfond of it.
But it has set the gconf setting which gave gnome-settings-daemon that Nautilus
was going to handle the drawing of the desktop. In the past
gnome-settings-daemon and Nautilus would both draw the background. To avoid this
the gconf setting was made. I think the proper way to handle this is to either
not let Nautilus draw the background(gets my vote), or make sure Nautilus runs
before gnome-settings-daemon and if gnome-settings-daemon sees Nautilus running
it doesn't draw the desktop.

+	/* If this is set, nautilus will draw the background and is
+	 * almost definitely in our session.  however, it may not be
+	 * running yet (so is_nautilus_running() will fail).  so, on
+	 * startup, just don't do anything if this key is set so we
+	 * don't waste time setting the background only to have
+	 * nautilus overwrite it.
+	 */
+
+	if (gconf_client_get_bool (client, "/apps/nautilus/preferences/show_desktop",
NULL))
+		return;
+

Comment 8 Nathan G. Grennan 2004-08-20 05:37:01 UTC
Closing old bug


Note You need to log in before you can comment on or make changes to this bug.